Subject: Re: cygwin 1.7.0-63 problems with X programs
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 8 Nov 2009 12:03:26 +0100
List-Id: <cygwin.cygwin.com>

On Nov  7 09:27, Eliot Moss wrote:
> Like another user, I had difficulty getting X to fire up.
> After setting LANG=en_US.UTF-8 I got farther, but these issues
> remain:
> 
> Each xterm, xemacs, and xclock I start outputs this:
> 
> Warning: Missing charsets in String to FontSet conversion
> 
> I also get a series of:
> 
> twm: warning: font for charset XXX is lacking.
> 
> Where XXX is replaced by each of these in turn:
> 
> JISX0208.1983-0
> KSC5601.1987-0
> GB2312.1980-0
> 
> Those three lines repeat 6 times.
> 
> Also:

> 1) the whole deal takes noticeably longer to start
> 2) xemacs does not receive its normal geometry from .Xdefaults
> 3) each xterm started from .xinitrc has a blank line
>    before the initial bash prompt, that wasn't present before

I can reproduce that, but I can't make any sense of it.  What on earth
does that have to do with setting LANG to "en_US.UTF-8"?!?

I'll redirect this to the cygwin-xfree list.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple